Bug 848943 - vino-server does not start after checking option "Allow other users to view your desktop".
vino-server does not start after checking option "Allow other users to view y...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 17:46 EDT by Sylvain Petreolle
Modified: 2014-06-18 05:15 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 718975
Environment:
Last Closed: 2013-12-21 20:50:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sylvain Petreolle 2012-08-16 17:46:08 EDT
+++ This bug was initially created as a clone of Bug #718975 +++

Description of problem:
When I click in vino-preferences the option "Allow other users to view your desktop", it says that "[...] Others can access your computer using the address localhost". vino-server is not running. Not very usefull when away from localhost.

If I launch on a command line:
$ /usr/libexec/vino-server
05/07/2011 12:28:44 PM Autoprobing TCP port in (all) network interface
05/07/2011 12:28:44 PM Listening IPv6://[::]:5900
05/07/2011 12:28:44 PM Listening IPv4://0.0.0.0:5900
05/07/2011 12:28:44 PM Autoprobing selected port 5900
05/07/2011 12:28:44 PM Advertising authentication type: 'VNC Authentication' (2)
05/07/2011 12:28:44 PM Advertising security type: 'VNC Authentication' (2)

vino-preferences says : "[...] Others can access your computer using the address 10.0.21.200 or mypc.local"

Then I can access to that pc remotely.

But if I uncheck option "Allow other users to view your desktop", vino-server stops and if I check it again, vino-server does not start.


Version-Release number of selected component (if applicable):
vino-2.32.2-1.fc14.x86_64

How reproducible:
every time

Steps to Reproduce:
1. ps axf|grep vino  --> nothing
2. run /usr/libexec/vino-server
3. ps axf|grep vino
19124 pts/2    Sl     0:00              |   |   \_ /usr/libexec/vino-server

you can access to remote pc via vnc.
4. uncheck option "Allow other users to view your desktop", vino-server is stopped.
5. Recheck that option, vnc-server does not start. Cannot access to remote server.

  
Actual results:
Cannot access to remote server just by clicking option "Allow other users to view your desktop".


Expected results:
I expect that vino-server would start after clicking that option, so I can access to my remote pc.


Additional info:

--- Additional comment from jik@kamens.brookline.ma.us on 2011-07-18 16:33:14 EDT ---

Perhaps relevant in ~/.xsession-errors?

gnome-session[29643]: WARNING: Failed to start app: Unable to start application: Failed to execute child process "vino-server" (No such file or directory)

--- Additional comment from fujisan43@gmail.com on 2011-07-19 05:50:43 EDT ---

nothing in that file.

--- Additional comment from jik@kamens.brookline.ma.us on 2011-10-25 10:03:00 EDT ---

Continuing to see this in Fedora 16.
Any workaround? Any plans to fix?

--- Additional comment from jik@kamens.brookline.ma.us on 2011-10-25 10:06:12 EDT ---

~/.config/gnome-session/saved-session/vino-server.desktop has this in it:


Exec=vino-server --sm-client-id 107cebc82657a6e82c131931020461053200000138960038

The file was recently saved, so it appears that when vino saves its state on shutdown, it's not saving a full path even though it should be.

--- Additional comment from spetreolle@yahoo.fr on 2012-05-16 04:46:41 EDT ---

(In reply to comment #4)
> ~/.config/gnome-session/saved-session/vino-server.desktop has this in it:
> 
> 
> Exec=vino-server --sm-client-id
> 107cebc82657a6e82c131931020461053200000138960038
> 
> The file was recently saved, so it appears that when vino saves its state on
> shutdown, it's not saving a full path even though it should be.

I'm getting this very same problem on Fedora 16 with all stable updates.

--- Additional comment from olda.plchot@gmail.com on 2012-08-07 18:20:44 EDT ---

(In reply to comment #5)
I am seeing the same thing in Fedora 17 with all updates. I have to start /usr/libexec/vino-server manually. Mentioned file  ~/.config/gnome-session/saved-session/vino-server.desktop does not even exist on my system and I had the vino-server running, preferences set correctly in the GUI for vino-preferences and I correctly logged out from Gnome.
Comment 1 Jonathan Kamens 2013-05-07 20:26:34 EDT
This is still broken in Fedora 18.
Comment 2 Fedora End Of Life 2013-07-03 23:18:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Jonathan Kamens 2013-07-05 13:23:23 EDT
Updating version to reflect still broken in F18.
Comment 4 Fedora End Of Life 2013-12-21 03:41:23 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Jonathan Kamens 2013-12-21 20:50:59 EST
This appears to be fixed in Fedora 20.

Note You need to log in before you can comment on or make changes to this bug.